org.springframework.batch.sample.loop

## Class GeneratingTradeResettingListener

- java.lang.Object
- - org.springframework.batch.core.listener.StepExecutionListenerSupport
  - - org.springframework.batch.sample.loop.GeneratingTradeResettingListener

- All Implemented Interfaces:
    StepExecutionListener, StepListener, org.springframework.beans.factory.InitializingBean

      public class GeneratingTradeResettingListener
      extends StepExecutionListenerSupport
      implements org.springframework.beans.factory.InitializingBean

  This listener resets the count of its GeneratingTradeItemReader after the step.
  Since:
    2.0
  Author:
    Dan Garrette

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GeneratingTradeResettingListener()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `afterPropertiesSet()`
    `ExitStatus` | `afterStep(StepExecution stepExecution)` Give a listener a chance to modify the exit status from a step.
    `void` | `setReader(GeneratingTradeItemReader reader)`

    - ### Methods inherited from class org.springframework.batch.core.listener.StepExecutionListenerSupport

      `beforeStep`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GeneratingTradeResettingListener

          public GeneratingTradeResettingListener()

  - ### Method Detail

    - #### afterStep

          public ExitStatus afterStep(StepExecution stepExecution)

      Description copied from interface: `StepExecutionListener`
      Give a listener a chance to modify the exit status from a step. The value returned will be combined with the normal exit status using `ExitStatus.and(ExitStatus)`. Called after execution of step's processing logic (both successful or failed). Throwing exception in this method has no effect, it will only be logged.
      Specified by:
        `afterStep` in interface `StepExecutionListener`
      Overrides:
        `afterStep` in class `StepExecutionListenerSupport`
      Returns:
        an `ExitStatus` to combine with the normal value. Return null to leave the old value unchanged.

    - #### setReader

          public void setReader(GeneratingTradeItemReader reader)

    - #### afterPropertiesSet

          public void afterPropertiesSet()
                                  throws java.lang.Exception

      Specified by:
        `afterPropertiesSet` in interface `org.springframework.beans.factory.InitializingBean`
      Throws:
        `java.lang.Exception`